from discord.ext import commands
import core_utils
import discord
import os


class Users(commands.Cog):
    def __init__(self, bot):
        self.bot: commands.Bot = bot

    @commands.command(name="avatar")
    async def avatar(self, ctx: commands.Context, user: discord.Member):
        await ctx.send(
            embed=core_utils.generate_embed(
                embed_title="{}#{}".format(user.name, user.discriminator),
                embed_url=user.avatar,
                embed_description="[Direct Link]({})".format(user.avatar),
            )
        )


def setup(bot):
    bot.add_cog(Users(bot))
